local x = Def.ActorFrame{
	LoadFont("_celestia 34px")..{
		Text=ScreenString("Saving Profiles");
		InitCommand=cmd(Center;diffuse,color("1,1,1,1");shadowlength,1);
		OnCommand=cmd(diffusealpha,0;zoomx,1.4;zoomy,1.7;smooth,0.5;diffusealpha,1;zoomx,1.0;zoomy,1.0;);
		OffCommand=cmd(sleep,0.4;linear,0.3;diffusealpha,0;zoomy,0.4;sleep,0.4);
	};
};

x[#x+1] = Def.Actor {
	BeginCommand=function(self)
		if SCREENMAN:GetTopScreen():HaveProfileToSave() then self:sleep(1); end;
		self:queuecommand("Load");
	end;
	LoadCommand=function() SCREENMAN:GetTopScreen():Continue(); end;
};

return x;